# since 1.9 no more releaeses (tarballs) and corresponding tags,
# so we use snapshots. See NEWS and configure.ac for versions.
%def_enable snapshot

Name: arp-scan
Version: 1.9.5
Release: alt0.M80P.1

Summary: Scanning and fingerprinting tool
License: GPLv3+
Group: Monitoring
Url: http://www.nta-monitor.com/tools-resources/security-tools/arp-scan

%if_disabled snapshot
Source: http://www.nta-monitor.com/files/arp-scan/%name-%version.tar.gz
%else
# VCS: https://github.com/royhills/arp-scan/releases
Source: %name-%version.tar
%endif
# Files generated by get-iab and get-oui as replacements of older files
# shipped with arp-scan:
Source1: ieee-iab.txt
Source2: ieee-oui.txt

BuildRequires: libpcap-devel >= 1.0 perl-libwww

%description
arp-scan is a command-line tool that uses the ARP protocol to discover
and fingerprint IP hosts on the local network.

%prep
%setup

%build
cp -a %_sourcedir/{ieee-iab.txt,ieee-oui.txt} .
%autoreconf
%configure
%make_build

%install
%makeinstall_std

%files
%_bindir/arp-fingerprint
%_bindir/%name
%_bindir/get-iab
%_bindir/get-oui
%_datadir/%name/
%_man1dir/*
%_man5dir/*
%doc NEWS README*

%changelog
* Tue Mar 28 2017 Yuri N. Sedunov <aris@altlinux.org> 1.9.5-alt0.M80P.1
- backport to p8

* Mon Jan 09 2017 Yuri N. Sedunov <aris@altlinux.org> 1.9.5-alt1
- 1.9.5
- updated ieee-{iab,oui}.txt

* Sat Nov 29 2014 Yuri N. Sedunov <aris@altlinux.org> 1.9-alt1
- 1.9
- fixed urls
- updated ieee-{iab,oui}.txt

* Wed Dec 28 2011 Victor Forsiuk <force@altlinux.org> 1.8.1-alt1
- Initial build.
